import * as ai from 'ai';
import { FsCache } from '@synstack/fs-cache';
import { L as Llm } from './llm.types-p1tOHIFm.js';
import '@synstack/resolved';
import 'zod';

/**
 * Wraps the model to add the provided last assistant message to the output
 */
declare const includeAssistantMessage: (model: Llm.Model) => ai.LanguageModelV1;
declare const cacheCalls: (cache: FsCache<FsCache.Options<[Llm.Model.Generate.Options]>>) => (model: Llm.Model) => ai.LanguageModelV1;

export { cacheCalls, includeAssistantMessage };
